# This is the config file for Linux

OS_CFLAGS    = -g -Wall
OS_CPPFLAGS = -g -Wall
ifdef omniorb
OS_LDFLAGS   = -L$(omniorb)/lib
OS_INCLUDES  = -I$(TOPDIR)/include -I$(omniorb)/include
endif

PLUG_DIR = $(prefix)/lib/plugins
LIB_DIR  = $(prefix)/lib
BIN_DIR  = $(prefix)/bin
CONF_DIR = $(prefix)/etc
DOC_DIR  = $(prefix)/doc
INC_DIR  = $(prefix)/include

OS_INSTALL_DIRS = $(PLUG_DIR) $(LIB_DIR) $(BIN_DIR) $(CONF_DIR) $(DOC_DIR) $(INC_DIR)

AR           = ar cq

ifeq (86,$(findstring 86,$(OS_TEST)))
CPU_ARCH := x86
else
CPU_ARCH := $(OS_TEST)
endif

ifeq ($(CPU_ARCH),x86)
	OS_CPPFLAGS += -D__x86__ -D__linux__
endif
