//
// $id:$
//
// This source file is a part of the Berlin Project.
// Copyright (C) 1998 The Berlin Consortium 
// http://www.berlin-consortium.org
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public License
// as published by the Free Software Foundation; either version 2 of
// the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// Author: ANOQ of the Sun
// EMail: anoq@berlin-consortium.org or anoq@vip.cybercity.dk

#ifndef __DOMENTITY_IMPL__
#define __DOMENTITY_IMPL__

#include <Entity.hh>
#include "domNode_impl.hh"
#include "domString.hh"

class domEntity_impl : virtual public _sk_Entity, public virtual domNode_impl
{
public:
    virtual CORBA::UShort nodeType(void);
    virtual wstring * nodeName(void);
    virtual wstring * nodeValue(void);
    virtual void nodeValue(const wstring & _value);
    virtual Node_ptr cloneNode(CORBA::Boolean deep);
    virtual wstring * publicId(void);
    virtual wstring * systemId(void);
    virtual wstring * notationName(void);
protected:
    virtual CORBA::Boolean mayInsertNode(CORBA::UShort nodeType);
};

#endif //__DOMENTITY_IMPL__
