//
// $id:$
//
// This source file is a part of the Berlin Project.
// Copyright (C) 1998 The Berlin Consortium 
// http://www.berlin-consortium.org
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public License
// as published by the Free Software Foundation; either version 2 of
// the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// Author: ANOQ of the Sun
// EMail: anoq@berlin-consortium.org or anoq@vip.cybercity.dk

#include "domEntityReference_impl.hh"


CORBA::UShort domEntityReference_impl::nodeType( void)
{
    return Node::ENTITY_REFERENCE_NODE;
};

wstring * domEntityReference_impl::nodeName( void)
{
    return (wstring *)NULL;//FIXME: Not implemented yet
};

wstring * domEntityReference_impl::nodeValue( void)
{
    return (wstring *)NULL;//Must not return anything according to DOM spec
};

void domEntityReference_impl::nodeValue(const wstring & _value)
{
    //Must not do anything according to DOM spec
};

Node_ptr domEntityReference_impl::cloneNode(CORBA :: Boolean deep)
{
    return (Node_ptr)NULL;//FIXME: Not implemented yet
};

CORBA::Boolean domEntityReference_impl::mayInsertNode(CORBA::UShort nodeType)
{
    if(nodeType == Node::ELEMENT_NODE ||
       nodeType == Node::PROCESSING_INSTRUCTION_NODE ||
       nodeType == Node::COMMENT_NODE ||
       nodeType == Node::TEXT_NODE ||
       nodeType == Node::CDATA_SECTION_NODE ||
       nodeType == Node::ENTITY_REFERENCE_NODE)
        return 1;
    else
        return 0;
}
