//
// $id:$
//
// This source file is a part of the Berlin Project.
// Copyright (C) 1998 The Berlin Consortium 
// http://www.berlin-consortium.org
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public License
// as published by the Free Software Foundation; either version 2 of
// the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// Author: ANOQ of the Sun
// EMail: anoq@berlin-consortium.org or anoq@vip.cybercity.dk

#ifndef __DOMNODELIST_IMPL__
#define __DOMNODELIST_IMPL__

#include <NodeList.hh>

class domNodeList_impl : virtual public _sk_NodeList
{
public:
    virtual Node_ptr item(CORBA::ULong index);
    virtual CORBA::ULong length(void);

    //Implementation specific methods - DO NOT USE THESE!!!
    domNodeList_impl(Node_ptr firstNode);
    virtual ~domNodeList_impl(void);
};

#endif //__DOMNODELIST_IMPL__
